Skip to main content
POST
/
v1
/
teams
/
{team_id}
/
notifications
/
bulk
Bulk Create Notification Configs
curl --request POST \
  --url https://api.dataraven.io/v1/teams/{team_id}/notifications/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "apprise_url": "<string>",
  "event_types": [],
  "is_enabled": true
}
'
import requests

url = "https://api.dataraven.io/v1/teams/{team_id}/notifications/bulk"

payload = {
    "name": "<string>",
    "apprise_url": "<string>",
    "event_types": [],
    "is_enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', apprise_url: '<string>', event_types: [], is_enabled: true})
};

fetch('https://api.dataraven.io/v1/teams/{team_id}/notifications/bulk', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "event_type": "<string>",
      "event_filters": {},
      "message_template": "<string>",
      "is_enabled": true,
      "apprise_vault_secret_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "total_created": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Body

application/json

Schema for bulk creating notification configs with a single Apprise URL and multiple event types.

name
string
required

Name prefix (e.g. 'Slack Alerts')

Required string length: 1 - 200
apprise_url
string
required

Apprise URL (e.g., slack://token)

Required string length: 1 - 2048
event_types
enum<string>[]
required

Event types to create notifications for

Required array length: 1 - 18 elements

Supported notification event types

Available options:
task_execution_started,
task_execution_completed,
task_execution_failed,
task_execution_cancelled,
task_created,
task_updated,
task_deleted,
task_status_changed,
secret_created,
secret_updated,
secret_deleted,
location_created,
location_updated,
location_deleted,
api_key_created,
api_key_rotated,
api_key_revoked,
api_key_deleted
is_enabled
boolean
default:true

Response

Successful Response

Response for bulk notification creation.

created
NotificationConfigResponse · object[]
required
total_created
integer
required